# Generated using the scripts at https://pagure.io/fedora-cosmic/cosmic-packaging/blob/main/f/scripts

%global commit 8d1d23ab64c52ad57f09c1e5e79585cc97dd4eea
%global shortcommit %{sub %{commit} 1 7}
%global commitdatestring 2024-09-27 14:38:43 +0200
%global commitdate 20240927
%global cosmic_minver 1.0.0~alpha.2

Name:           cosmic-wallpapers
Version:        1.0.0~alpha.2^git%{commitdate}.%{shortcommit}
Release:        %autorelease
Summary:        Default wallpapers for the COSMIC Desktop Environment

License:        CC-BY-SA-4.0

URL:            https://github.com/pop-os/cosmic-wallpapers

Source0:        https://github.com/pop-os/cosmic-wallpapers/archive/%{commit}/cosmic-wallpapers-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  make

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n cosmic-wallpapers-%{commit}

%build

%install
# Set vergen environment variables
export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
export VERGEN_GIT_SHA="%{commit}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%files
%dir %{_datadir}/backgrounds/cosmic
%{_datadir}/backgrounds/cosmic/*

%changelog
%autochangelog
    
